For the complete documentation index, see llms.txt. This page is also available as Markdown.

Other proof endpoints

These endpoints are not used in the most common verification scenarios.

Send a presentation to the proof request

Sends presentation to proof request

post
/proof-requests/{id}/send-presentation

Sends a presentation to the request

Path parameters
idstring · uuidRequired

Proof request UUID

Body
objectOptional
Responses
200

Proof request accepted

application/json
idstring · uuidRequired

The unique identifier for the proof request.

Example: 37275574-7ea4-438d-b8ef-f8fc61dbf09e
namestringOptional

Proof request name

Example: Proof request
cedarVerificationPolicystringOptional

Optional Cedar policy to run on verification

noncestringOptional

Nonce or challenge for the presentation to match

Example: 1234567890
errorstringOptional
response_urlstring · uriRequired

The URL to send the proof presentation response.

Example: http://api-testnet.truvera.io/proof-requests/37275574-7ea4-438d-b8ef-f8fc61dbf09e/send-presentation
qrstringOptional

QR code deep link for mobile wallet scanning

Example: http://creds-testnet.truvera.io/proof/37275574-7ea4-438d-b8ef-f8fc61dbf09e
didstring · min: 32Optional

A DID

Example: did:cheqd:testnet:ac2b9027-ec1a-4ee2-aad1-1e316e7d6f59
verifiedbooleanOptional

Indicates whether the proof request has been verified.

Example: false
expiredbooleanOptional

Indicates whether the proof request has expired

Example: false
presentationobjectOptional
createdstring · date-timeRequired

The timestamp when the proof request was created.

Example: 2024-09-26T12:38:10.871Z
updatedstring · date-timeOptional

The timestamp when the proof request was last updated.

Example: 2024-09-26T12:38:10.871Z
typestringOptional

The type of the request.

Example: proof-request
typesstring[]Optional

An array of types indicating the formats or methods that can be used for the proof.

Example: jsonld
verifierNamestringOptional

The name of the verifier.

Example: Truvera
verifierLogostringOptional

The logo of the verifier.

Example: https://logo.truvera.io/verifier
post
/proof-requests/{id}/send-presentation

Get the proof request PEX definition

Get the proof request PEX definition

get
/proof-requests/{id}/pex

Get the proof request PEX definition

Path parameters
idstring · uuidRequired

OpenID issuer UUID

Responses
200

The proof request PEX definition

application/json
objectOptional
get
/proof-requests/{id}/pex

Last updated

Was this helpful?